Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::IfThenElse Struct Reference

An if-then-else block. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::IfThenElse:

## Static Public Member Functions
static Stmt | make (Expr condition, Stmt then_case, Stmt else_case=Stmt())

## Public Attributes
Expr | condition
Stmt | then_case
Stmt | else_case
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::IfThenElse

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::StmtNode< IfThenElse >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
virtual Stmt | mutate_stmt (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

An if-then-else block.

'else' may be undefined.

Definition at line 476 of file IR.h.

## Member Function Documentation

## ◆ make()

static Stmt Halide::Internal::IfThenElse::make | ( | Expr | condition,
|  | Stmt | then_case,
|  | Stmt | else_case = `Stmt()`
| ) |  |
| static

## Member Data Documentation

## ◆ condition

Expr Halide::Internal::IfThenElse::condition

Definition at line 477 of file IR.h.

## ◆ then_case

Stmt Halide::Internal::IfThenElse::then_case

Definition at line 478 of file IR.h.

## ◆ else_case

Stmt Halide::Internal::IfThenElse::else_case

Definition at line 478 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::IfThenElse::_node_type = IRNodeType::IfThenElse
| static

Definition at line 482 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h